Create an API key for the current organization.
Create an API key for the current organization — Competitor Tracker & Co. API reference for POST /v1/api-keys: request parameters, request body, response.
Required role: member or higher (organization-level).
Required scope: account:write (for both OAuth2 tokens and API keys).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.competitortracker.io/v1/api-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "CI deploy bot", "scopes": [ "competitors:read", "changes:read" ] }'{
"id": "string",
"name": "string",
"scopes": [
"string"
],
"expiresAt": "string",
"createdAt": "string",
"secret": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}List the current organization's API keys. GET
List the current organization's API keys — Competitor Tracker & Co. API reference for GET /v1/api-keys: request parameters, request body, response schema plus.
Revoke an API key for the current organization. DELETE
Revoke an API key for the current organization — Competitor Tracker & Co. API reference for DELETE /v1/api-keys/{id}: request parameters, request body.